#
# spec file for package sushi
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           sushi
Version:        0.2.1
Release:        1
License:        GPL-2.0+
Summary:        Quick Previewer for Nautilus
Url:            http://www.gnome.org
Group:          Productivity/File utilities
Source0:        http://download.gnome.org/sources/sushi/0.2/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM sushi-quote-unoconv.patch bgo#662197 vuntz@opensuse.org -- quote the file path before passing it to unoconv
Patch0:         sushi-quote-unoconv.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  unoconv
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-gst-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gjs-dbus-1.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-pbutils-0.10)
BuildRequires:  pkgconfig(gstreamer-tag-0.10)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libmusicbrainz3)
BuildRequires:  pkgconfig(webkitgtk-3.0)
Recommends:     %{name}-lang
Supplements:    nautilus
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%package -n libsushi-1_0-0
License:        GPL-3.0
Summary:        Quick Previewer for Nautilus -- Library
Group:          System/Libraries
# When built with unoconv support, the library will use unoconv to
# read LibreOffice files
Recommends:     unoconv

%description -n libsushi-1_0-0
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%package -n typelib-1_0-Sushi-1_0
Summary:        Quick Previewer for Nautilus -- Library
Group:          System/Libraries

%description -n typelib-1_0-Sushi-1_0
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%post -n libsushi-1_0-0 -p /sbin/ldconfig

%postun -n libsushi-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/sushi
%{_libexecdir}/sushi-start
%{_datadir}/dbus-1/services/org.gnome.Sushi.service
%{_datadir}/sushi/

%files -n libsushi-1_0-0
%defattr(-,root,root)
%{_libdir}/libsushi-1.0.so.*
# devel files, but we really have no need for a devel subpackage
%{_libdir}/libsushi-1.0.so

%files -n typelib-1_0-Sushi-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Sushi-1.0.typelib
# devel files, but we really have no need for a devel subpackage
%{_datadir}/gir-1.0/Sushi-1.0.gir

%files lang -f %{name}.lang

%changelog
